CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

            calibre-server [options] [path to library folder...]

Start the calibre Content server. The calibre Content server exposes your calibre libraries over the internet. You can specify the path to the library folders as arguments to calibre-server. If you do not specify any paths, all the libraries that the main calibre program knows about will be used.

Alati kui edastad programmile calibre-server tühikuid sisaldavaid argumente, ümbritse argumendid jutumärkidega. Näiteks: "/some path/with spaces"

[SUVANDID]

    --access-log
        Rada ligipääsu logifailile. See logi sisaldab teavet klientide kohta, kes serveriga ühenduvad ja päringuid teostavad. Vaikimisi ligipääsu logimist ei tehta.

    --ajax-timeout
        Aeg (sekundites), kui kaua päringuid tehes serverilt vastust oodata.

    --auth-mode
        Vali kasutatava autentimise tüüp. Set the HTTP authentication mode used by the server. Set to "basic" if you are putting this server behind an SSL proxy. Otherwise, leave it as "auto", which will use "basic" if SSL is configured otherwise it will use "digest".

    --auto-reload
        Automatically reload server when source code changes. Useful for development. You should also specify a small value for the shutdown timeout.

    --ban-after
        Nurjunud sisselogimiskatsete määr keelustamiseks. Ebaõnnestunud sisselogimiskatsete arv, pärast mida IP-aadress keelustatakse

    --ban-for
        Keelusta IP-aadressid, millel on korduvalt ebaõnnestunud sisselogimiskatseid. Ajutiselt keelustab ligipääsu IP-aadressitele, millelt on pärit palju ebaõnnestunud sisselogimiskatseid määratud minutite jooksul. Kasulik paroolide äraarvamise katsete ennetamiseks. Kui väärtuseks on null, siis keelustamist ei teostata.

    --book-list-mode
        Vali vaikimisi raamatute loendi režiim. Määra raamatute loendi vaikimisi režiim, mida kasutatakse uute kasutajate puhul. Kasutajad saavad eraldi oma sätetes valida oma vaikimisi režiimi. Vaikimisi valikuks on kaaneruudustik.

    --compress-min-size
        Vähim suurus, mille puhul kasutavad vastused andmetihendust (baitides).

    --custom-list-template
        Path to a JSON file containing a template for the custom book list mode. The easiest way to create such a template file is to go to Preferences-> Sharing over the net-> Book list template in calibre, create the template and export it.

    --daemonize
        Käita protsess taustal deemonina (ainult Linuxil).

    --displayed-fields
        Restrict displayed user-defined fields. Comma separated list of user-defined metadata fields that will be displayed by the Content server in the /opds and /mobile views. If you specify this option, any fields not in this list will not be displayed. For example: my_rating,my_tags

    --enable-allow-socket-preallocation, --disable-allow-socket-preallocation
        Socket pre-allocation, for example, with systemd socket activation. Vaikimisi on see säte lubatud.

    --enable-auth, --disable-auth
        Paroolipõhine autentimine serverile ligipääsemiseks. Tavaliselt on server piiramata, lubades ligipääsu kõigile. Selle sättega saad ligipääsu lubada ainult eelnevalt määratud kasutajatele. Vaikimisi on see säte keelatud.

    --enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
        Fallback to auto-detected interface. If for some reason the server is unable to bind to the interface specified in the listen_on option, then it will try to detect an interface that connects to the outside world and bind to that. Vaikimisi on see säte lubatud.

    --enable-local-write, --disable-local-write
        Luba autentimata kohalikel ühendustel teha muudatusi. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the same computer as the server is running on to make changes. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means any program running on the computer can make changes to your calibre libraries. In particular, the Firefox web browser allows arbitrary websites to do so as well. Vaikimisi on see säte keelatud.

    --enable-log-not-found, --disable-log-not-found
        Logi HTTP 404 (ei leitud) taotlusi. Normally, the server logs all HTTP requests for resources that are not found. This can generate a lot of log spam, if your server is targeted by bots. Use this option to turn it off. Vaikimisi on see säte lubatud.

    --enable-use-bonjour, --disable-use-bonjour
        Advertise OPDS feeds via BonJour. Advertise the OPDS feeds via the BonJour service, so that OPDS based reading apps can detect and connect to the server automatically. Vaikimisi on see säte lubatud.

    --enable-use-sendfile, --disable-use-sendfile
        Zero copy file transfers for increased performance. This will use zero-copy in-kernel transfers when sending files over the network, increasing performance. However, it can cause corrupted file transfers on some broken filesystems. If you experience corrupted file transfers, turn it off. Vaikimisi on see säte lubatud.

    --help, -h
        näita seda veateadet ja välju

    --ignored-fields
        Eiratud kasutajamääratud metaandmete väljad. Comma separated list of user-defined metadata fields that will not be displayed by the Content server in the /opds and /mobile views. For example: my_rating,my_tags

    --listen-on
        Liides, millel ühendusi kuulata. The default is to listen on all available IPv6 and IPv4 interfaces. You can change this to, for example, "127.0.0.1" to only listen for IPv4 connections from the local machine, or to "0.0.0.0" to listen to all incoming IPv4 connections.

    --log
        Rada serveri logifailini. See logi sisaldab serveri teavet ja vigu, mitte ligipääsu logisid. Vaikimisi kirjutatakse see voogu stdout.

    --manage-users
        Manage the database of users allowed to connect to this server. You can use it in automated mode by adding a --. See calibre-server --manage-users -- help for details. See also the --userdb option.

    --max-header-line-size
        Üksiku HTTP päise suurim suurus (ühikutes KB).

    --max-job-time
        Töölisprotsesside suurim aeg. Töölisprotsesside käituseks lubatud suurim aeg (minutites). Piirangu keelamiseks pane väärtuseks null.

    --max-jobs
        Töölisprotsesside suurim arv. Töölisprotsessid käivitatakse vajaduspõhiselt ja neid kasutatakse mahukate tööde jaoks nagu raamatu lugemiseks ettevalmistamine, raamatute lisamine, teisendamine jms. Tavaliselt põhineb selliste protsesside suurim arv protsessori tuumade arvul. Seda saad juhtida selle sättega.

    --max-log-size
        Logifaili suurim suurus (MB). The maximum size of log files, generated by the server. When the log becomes larger than this size, it is automatically rotated. Set to zero to disable log rotation.

    --max-opds-items
        Maximum number of books in OPDS feeds. The maximum number of books that the server will return in a single OPDS acquisition feed.

    --max-opds-ungrouped-items
        Maximum number of ungrouped items in OPDS feeds. Group items in categories such as author/tags by first letter when there are more than this number of items. Set to zero to disable.

    --max-request-body-size
        Serverisse üleslaaditavate failide suurim lubatud suurus (ühikutes MB).

    --num-per-page
        Ühel lehel näidatavate raamatute arv. Veebilehitsejas ühel lehel näidatavate raamatute arv.

    --pidfile
        Kirjuta protsessi PID määratud faili

    --port
        Port, millel ühendusi kuulata.

    --search-the-net-urls
        Path to a JSON file containing URLs for the "Search the internet" feature. The easiest way to create such a file is to go to Preferences-> Sharing over the net->Search the internet in calibre, create the URLs and export them.

    --shutdown-timeout
        Koguaeg sekundites, mis puhta sulgumise jaoks oodata.

    --ssl-certfile
        Rada SSL-sertifikaadi failini.

    --ssl-keyfile
        Rada SSL privaatvõtme failini.

    --timeout
        Aeg (sekundites), pärast mida jõude ühendus suletakse.

    --trusted-ips
        Allow un-authenticated connections from specific IP addresses to make changes. Normally, if you do not turn on authentication, the server operates in read-only mode, so as to not allow anonymous users to make changes to your calibre libraries. This option allows anybody connecting from the specified IP addresses to make changes. Must be a comma separated list of address or network specifications. This is useful if you want to run the server without authentication but still use calibredb to make changes to your calibre libraries. Note that turning on this option means anyone connecting from the specified IP addresses can make changes to your calibre libraries.

    --url-prefix
        Eesliide, mis lisada kõigile URLidele. Useful if you wish to run this server behind a reverse proxy. For example use, /calibre as the URL prefix.

    --userdb
        Path to the user database to use for authentication. The database is a SQLite file. To create it use --manage-users. You can read more about managing users at: <https://manual.calibre-ebook.com/et/server.html#managing-user-accounts-from-the-command-line-only>

    --version
        näita programmi versiooninumbrit ja välju

    --worker-count
        Taotluste töötlemiseks kasutatavate töölõimede arv.

Author
Kovid Goyal

Copyright
Kovid Goyal